/**
  CSS for formatting jVette Offcanvas element
  **/
/** Javascript required **/

html #jvette {
  z-index: 0;
  display: none;
  width: 100%;
  background: transparent;
}
html #jvette > .jv-panel {
  width: 30%;
  min-width: 300px;
  max-width: 300px;
  margin: 0;
  padding: 0;
}
html.jv-open,
html.jv-opened {
  -webkit-overflow-scrolling: touch;
}
html.jv-open #page,
html.jv-opened #page {
  position: fixed;
  width: 100%;
  height: 100%;
  z-index: 1;
  overflow: hidden;
  -webkit-perspective: 1000;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transform: translate3d(0, 0, 0);
  -moz-transform: translate3d(0, 0, 0);
  transform: translate3d(0, 0, 0);
  -webkit-transform: translateZ(0);
  -moz-transform: translateZ(0);
  transform: translateZ(0);
  -webkit-transform: scale(1);
  -moz-transform: scale(1);
  transform: scale(1);
}
html.jv-open #page .jv-holder,
html.jv-opened #page .jv-holder,
html.jv-open #page [data-jv-panel],
html.jv-opened #page [data-jv-panel],
html.jv-open #page [data-jv-content],
html.jv-opened #page [data-jv-content],
html.jv-open #page [data-jv-holder],
html.jv-opened #page [data-jv-holder] {
  display: none;
}
html.jv-open #jvette,
html.jv-opened #jvette {
  position: static;
  z-index: 1;
  display: block;
  overflow: hidden;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}
html.jv-open #jvette .jv-content,
html.jv-opened #jvette .jv-content {
  display: block;
}

html.jv-open #jvette .jv-panel,
html.jv-opened #jvette .jv-panel {
  height: 100%;
  position: absolute;
  z-index: 0;
  overflow: auto;
  overflow-x: hidden;
  overflow-y: auto;
  padding-bottom: 10em;
  display: none;
  -webkit-overflow-scrolling: touch;
}
html.jv-open.jv-open-left #jvette > .jv-panel:first-child,
html.jv-opened.jv-open-left #jvette > .jv-panel:first-child,
html.jv-open.jv-opened-left #jvette > .jv-panel:first-child,
html.jv-opened.jv-opened-left #jvette > .jv-panel:first-child {
  display: block !important;
  text-align: left;
  top: 0;
  left: 0;
  bottom: 0;
}
html.jv-open.jv-open-left #jvette > .jv-panel:first-child + .jv-panel,
html.jv-opened.jv-open-left #jvette > .jv-panel:first-child + .jv-panel,
html.jv-open.jv-opened-left #jvette > .jv-panel:first-child + .jv-panel,
html.jv-opened.jv-opened-left #jvette > .jv-panel:first-child + .jv-panel {
  display: none !important;
}
html.jv-open.jv-open-right #jvette > .jv-panel,
html.jv-opened.jv-open-right #jvette > .jv-panel,
html.jv-open.jv-opened-right #jvette > .jv-panel,
html.jv-opened.jv-opened-right #jvette > .jv-panel {
  display: none !important;
}
html.jv-open.jv-open-right #jvette > .jv-panel + .jv-panel,
html.jv-opened.jv-open-right #jvette > .jv-panel + .jv-panel,
html.jv-open.jv-opened-right #jvette > .jv-panel + .jv-panel,
html.jv-opened.jv-opened-right #jvette > .jv-panel + .jv-panel {
  display: block !important;
  text-align: left;
  top: 0 !important;
  right: 0;
  bottom: 0;
  position: fixed;
}

[data-jv-content] {
  display: none;
}

/**
  Theme related Content
  **/
/**
  Scroll top
  **/
.offcanvas-button {
  border-radius: 8px;
  height: 50px;
  right: -26px;
  top: 50%;
  margin: 0 0 0 -25px;
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
  width: 50px;
  opacity: 1 !important;
  display: block !important;
  position: fixed;
  cursor: pointer;
  transition: all 0.3s ease-out 0s;
  -webkit-transition: all 0.3s ease-out 0s;
}

.offcanvas-button i {
  font-size: 30px;
  font-weight: 800;
  left: 1px;
  position: absolute;
  top: -10px;
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
}

.jv-opened .offcanvas-button {
  right: -88px;
}

#offcanvas-right {
  background-color: inherit;
}

#jvette .region {
  margin-top: 60px;
  padding: 30px;
}

#jvette .toggle-button {
  border-radius: 100%;
  border-style: solid;
  border-width: 2px;
  font-size: 20px;
  height: 36px;
  line-height: 29px;
  position: fixed;
  right: 24px;
  text-align: center;
  top: 24px;
  vertical-align: middle;
  width: 36px;
  cursor: pointer;
  z-index: 99;
  background-color: inherit;
  transition: all ease-out .3s;
  -webkit-transition: all ease-out .3s;
  -moz-transition: all ease-out .3s;
  -o-transition: all ease-out .3s;
  -ms-transition: all ease-out .3s;
}

#jvette .toggle-button:hover {
  transform: scale(1.1);
  -webkit-transform: scale(1.1);
}

html.js #page .modal {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  content: '';
  display: block;
  z-index: -1;
  opacity: 0;
  transition: all ease-out .3s;
  -webkit-transition: all ease-out .3s;
  -moz-transition: all ease-out .3s;
  -o-transition: all ease-out .3s;
  -ms-transition: all ease-out .3s;
  overflow: hidden;
}

html.jv-opened #page .modal {
  opacity: 1;
  z-index: 99999;
  -webkit-transform: translateZ(1);
  -moz-transform: translateZ(1);
  transform: translateZ(1);
  -webkit-perspective: 1001;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  -webkit-transform: translate3d(0, 0, 1px);
  -moz-transform: translate3d(0, 0, 1px);
  transform: translate3d(0, 0, 1px);
}

/**
  Integration with nicescroll
  **/
html.with-nicescroll #offcanvas-region {
  height: 100%;
}

html.jv-open.with-nicescroll,
html.jv-opened.with-nicescroll {
  height: 100% !important;
}

html.jv-open.with-nicescroll #jvette .jv-panel,
html.jv-opened.with-nicescroll #jvette .jv-panel {
  overflow: hidden !important;
}

html.with-nicescroll .jv-panel {
  top: 0 !important;
  position: fixed !important;
  right: 0 !important;
  left: auto !important;
}

/**
  Integration with HcSticky
  @requires custom class .sticky-active in #page
  **/
html.js #page.with-sticky .offcanvas-button {
  z-index: 130;
}

html #page.without-slider.with-headline.headline-direction-bottom .offcanvas-button,
html.js #page.sticky-active .offcanvas-button {
  top: 120px;
}

html #page.without-slider.with-headline.headline-direction-bottom .offcanvas-button:after,
html.js #page.sticky-active .offcanvas-button:after {
  height: 120px;
}


#offcanvas-region select,
#offcanvas-region input,
#offcanvas-region textarea {
  background: transparent;
}

#offcanvas-region .search-form {
  position: relative;
  height: 40px;
}

#offcanvas-region .search-form .search-field {
  min-height: 40px;
  padding: 5px 10px 5px 40px;
  background: transparent;
}

#offcanvas-region .search-form .search-submit {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  width: 40px;
  height: 40px;
  border: none;
  border-radius: 0;
}


